'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vegaUtil = require('vega-util');
var vegaDataflow = require('vega-dataflow');
var tx = require('vega-transforms');
var vtx = require('vega-view-transforms');
var encode = require('vega-encode');
var geo = require('vega-geo');
var force = require('vega-force');
var tree = require('vega-hierarchy');
var voronoi = require('vega-voronoi');
var wordcloud = require('vega-wordcloud');
var xf = require('vega-crossfilter');
var vegaStatistics = require('vega-statistics');
var vegaLoader = require('vega-loader');
var vegaScenegraph = require('vega-scenegraph');
var vegaScale = require('vega-scale');
var vegaProjection = require('vega-projection');
var vegaView = require('vega-view');
var vegaFunctions = require('vega-functions');
var vegaParser = require('vega-parser');
var vegaRuntime = require('vega-runtime');

var version = "5.0.0-rc5";

// -- Transforms -----
vegaUtil.extend(vegaDataflow.transforms, tx, vtx, encode, geo, force, tree, voronoi, wordcloud, xf);

Object.keys(vegaUtil).forEach(function (key) { exports[key] = vegaUtil[key]; });
Object.keys(vegaStatistics).forEach(function (key) { exports[key] = vegaStatistics[key]; });
Object.keys(vegaLoader).forEach(function (key) { exports[key] = vegaLoader[key]; });
Object.keys(vegaScenegraph).forEach(function (key) { exports[key] = vegaScenegraph[key]; });
exports.Dataflow = vegaDataflow.Dataflow;
exports.EventStream = vegaDataflow.EventStream;
exports.Parameters = vegaDataflow.Parameters;
exports.Pulse = vegaDataflow.Pulse;
exports.MultiPulse = vegaDataflow.MultiPulse;
exports.Operator = vegaDataflow.Operator;
exports.Transform = vegaDataflow.Transform;
exports.changeset = vegaDataflow.changeset;
exports.ingest = vegaDataflow.ingest;
exports.isTuple = vegaDataflow.isTuple;
exports.definition = vegaDataflow.definition;
exports.transform = vegaDataflow.transform;
exports.transforms = vegaDataflow.transforms;
exports.tupleid = vegaDataflow.tupleid;
exports.scale = vegaScale.scale;
exports.scheme = vegaScale.scheme;
exports.interpolate = vegaScale.interpolate;
exports.interpolateColors = vegaScale.interpolateColors;
exports.interpolateRange = vegaScale.interpolateRange;
exports.timeInterval = vegaScale.timeInterval;
exports.quantizeInterpolator = vegaScale.quantizeInterpolator;
exports.projection = vegaProjection.projection;
exports.View = vegaView.View;
exports.expressionFunction = vegaFunctions.expressionFunction;
exports.formatLocale = vegaFunctions.formatLocale;
exports.timeFormatLocale = vegaFunctions.timeFormatLocale;
exports.parse = vegaParser.parse;
exports.runtime = vegaRuntime.parse;
exports.runtimeContext = vegaRuntime.context;
exports.version = version;
